Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime.metaclass
[Java] Class MetaMethodIndex

    java.lang.Object
      org.codehaus.groovy.runtime.metaclass.MetaMethodIndex

    public class MetaMethodIndex
    extends Object

Nested Class Summary
`static class` | `MetaMethodIndex.CacheEntry`
`static class` | `MetaMethodIndex.Entry`
`interface` | `MetaMethodIndex.EntryIterator`
`static class` | `MetaMethodIndex.Header`

Field Summary
`protected static int` | `DEFAULT_CAPACITY`
`protected static int` | `MAXIMUM_CAPACITY`
`protected static int` | `MINIMUM_CAPACITY`
`SingleKeyHashMap` | `methodHeaders`
`protected int` | `size`
`protected Entry[]` | `table`
`protected int` | `threshold`

Method Summary
`def` | `MetaMethodIndex(CachedClass theCachedClass)`
`Object` | `addMethodToList(Object o, MetaMethod method)`
`void` | `clear()`
`void` | `clearCaches()`
`void` | `clearCaches(String name)`
`void` | `copy(Class c, MetaMethodIndex.Header index)`
`void` | `copy(MetaMethodIndex.Header from, MetaMethodIndex.Header to)`
`void` | `copyAllMethodsToSuper(MetaMethodIndex.Header from, MetaMethodIndex.Header to)`
`void` | `copyMethodsToSuper()`
`void` | `copyNonPrivateMethods(Class from, Class to)`
`void` | `copyNonPrivateMethods(MetaMethodIndex.Header from, MetaMethodIndex.Header to)`
`void` | `copyNonPrivateMethodsDown(Class from, Class to)`
`void` | `copyNonPrivateMethodsFromSuper(MetaMethodIndex.Header from)`
`void` | `copyNonPrivateNonNewMetaMethods(MetaMethodIndex.Header from, MetaMethodIndex.Header to)`
`MetaMethodIndex.EntryIterator` | `getEntrySetIterator()`
`MetaMethodIndex.Header` | `getHeader(Class cls)`
`MetaMethodIndex.Entry` | `getMethods(Class cls, String name)`
`MetaMethodIndex.Entry` | `getOrPutMethods(String name, MetaMethodIndex.Header header)`
`Entry[]` | `getTable()`
`static int` | `hash(int h)`
`void` | `init(int initCapacity)`
`boolean` | `isEmpty()`
`void` | `resize(int newLength)`
`int` | `size()`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### DEFAULT_CAPACITY

    protected static final int DEFAULT_CAPACITY

### MAXIMUM_CAPACITY

    protected static final int MAXIMUM_CAPACITY

### MINIMUM_CAPACITY

    protected static final int MINIMUM_CAPACITY

### methodHeaders

    public SingleKeyHashMap methodHeaders

### size

    protected int size

### table

    protected Entry[] table

### threshold

    protected int threshold

Method Detail

### MetaMethodIndex

    public def MetaMethodIndex(CachedClass theCachedClass)

### addMethodToList

    public Object addMethodToList(Object o, MetaMethod method)

### clear

    public void clear()

### clearCaches

    public void clearCaches()

### clearCaches

    public void clearCaches(String name)

### copy

    public void copy(Class c, MetaMethodIndex.Header index)

### copy

    public void copy(MetaMethodIndex.Header from, MetaMethodIndex.Header to)

### copyAllMethodsToSuper

    public void copyAllMethodsToSuper(MetaMethodIndex.Header from, MetaMethodIndex.Header to)

### copyMethodsToSuper

    public void copyMethodsToSuper()

### copyNonPrivateMethods

    public void copyNonPrivateMethods(Class from, Class to)

### copyNonPrivateMethods

    public void copyNonPrivateMethods(MetaMethodIndex.Header from, MetaMethodIndex.Header to)

### copyNonPrivateMethodsDown

    public void copyNonPrivateMethodsDown(Class from, Class to)

### copyNonPrivateMethodsFromSuper

    public void copyNonPrivateMethodsFromSuper(MetaMethodIndex.Header from)

### copyNonPrivateNonNewMetaMethods

    public void copyNonPrivateNonNewMetaMethods(MetaMethodIndex.Header from, MetaMethodIndex.Header to)

### getEntrySetIterator

    public MetaMethodIndex.EntryIterator getEntrySetIterator()

### getHeader

    public MetaMethodIndex.Header getHeader(Class cls)

### getMethods

    public final MetaMethodIndex.Entry getMethods(Class cls, String name)

### getOrPutMethods

    public MetaMethodIndex.Entry getOrPutMethods(String name, MetaMethodIndex.Header header)

### getTable

    public Entry[] getTable()

### hash

    public static int hash(int h)

### init

    public void init(int initCapacity)

### isEmpty

    public boolean isEmpty()

### resize

    public void resize(int newLength)

### size

    public int size()

Copyright © 2003-2010 The Codehaus. All rights reserved.